Skip to main content
`Ctrl`+`K`

# DMPlexCreateOverlapLabel

Compute a label indicating what overlap points should be sent to new processes

## Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexCreateOverlapLabel(DM dm, PetscInt levels, PetscSection rootSection, IS rootrank, PetscSection leafSection, IS leafrank, DMLabel *ovLabel)

Collective

## Input Parameters

- dm - The `DM`

- levels - Number of overlap levels

- rootSection - The number of leaves for a given root point

- rootrank - The rank of each edge into the root point

- leafSection - The number of processes sharing a given leaf point

- leafrank - The rank of each process sharing a leaf point

## Output Parameter

- ovLabel - `DMLabel` containing remote overlap contributions as point/rank pairings

## See Also

`DMPLEX`, `DMPlexCreateOverlapLabelFromLabels()`, `DMPlexGetAdjacency()`, `DMPlexDistributeOwnership()`, `DMPlexDistribute()`

## Level

developer

## Location

src/dm/impls/plex/plexdistribute.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages